Update a proof of address check-in.
PUT/api/users/checkin/proof-of-address/:id
Update a proof of address check-in. A proof of address check-in requires a document (or photos) clearly proving residence. Photos need to be uploaded to the Ownli cloud via the Photo upload api.
Request
Path Parameters
- application/json
Body
required
Array [
]
Array [
]
Id of the user.
Possible values: [UtilityBill, Paycheck, FinancialStatement, SaleDeed, LeaseAgreement, PhoneBill, Invalid, UtilityBill, Paycheck, FinancialStatement, SaleDeed, LeaseAgreement, PhoneBill]
Document type for attached document.
Latitude of the check-in.
Longitude of the check-in.
Possible values: [StandaloneHome, Apartment, Condominium, Duplex, Other, Invalid, StandaloneHome, Apartment, Condominium, Duplex, Other]
Type of home.
address
object
Address
Street Address
City
2 Letter State Code (eg. AL, CA, CO etc.
2 Letter Country Code. Must be US.
Zipcode
Latitude of the address.
Longitude of the address.
photos
object[]
Url of the photo. The photo needs to be uploaded via the Photo Upload API.
Possible values: [FrontView, AlternateView, Invalid, FrontView, AlternateView]
Type of the photo. A value from one of the photo types.
documents
object[]
Url of the document. The document needs to be uploaded via the Photo Upload API.
Possible values: [DOCUMENT, GALLERY, CAMERA, INVALID, DOCUMENT, GALLERY, CAMERA]
File type of the document.
Ordinal
Responses
- 200
- 401
- 403
- 404
- 500
The created proof of address check-in object.
- application/json
- Schema
- Example (from schema)
Schema
Array [
]
Array [
]
Id of the user.
Possible values: [UtilityBill, Paycheck, FinancialStatement, SaleDeed, LeaseAgreement, PhoneBill, Invalid, UtilityBill, Paycheck, FinancialStatement, SaleDeed, LeaseAgreement, PhoneBill]
Document type for attached document.
Latitude of the check-in.
Longitude of the check-in.
Possible values: [StandaloneHome, Apartment, Condominium, Duplex, Other, Invalid, StandaloneHome, Apartment, Condominium, Duplex, Other]
Type of home.
address
object
Address
Street Address
City
2 Letter State Code (eg. AL, CA, CO etc.
2 Letter Country Code. Must be US.
Zipcode
Latitude of the address.
Longitude of the address.
photos
object[]
Url of the photo. The photo needs to be uploaded via the Photo Upload API.
Possible values: [FrontView, AlternateView, Invalid, FrontView, AlternateView]
Type of the photo. A value from one of the photo types.
documents
object[]
Url of the document. The document needs to be uploaded via the Photo Upload API.
Possible values: [DOCUMENT, GALLERY, CAMERA, INVALID, DOCUMENT, GALLERY, CAMERA]
File type of the document.
Ordinal
{
"userId": "string",
"documentType": "UtilityBill",
"latitude": 0,
"longitude": 0,
"addressType": "StandaloneHome",
"address": {
"addressLine1": "string",
"city": "string",
"state": "string",
"country": "string",
"zip": "string",
"latitude": 0,
"longitude": 0
},
"photos": [
{
"url": "string",
"type": "FrontView"
}
],
"documents": [
{
"url": "string",
"type": "DOCUMENT",
"ordinal": 0
}
]
}
Authorization error e.g. due to an invalid or missing API keys.
The caller does not have access to the checkin. Possible error codes
-
ERROR_NO_PERMISSIONS_TO_RESOURCE
- application/json
- Schema
- Example (from schema)
Schema
Error code
A verbose error message
{
"error_code": "string",
"error_message": "string"
}
User not found. Possible error codes
-
ERROR_USER_NOT_FOUND
- application/json
- Schema
- Example (from schema)
Schema
Error code
A verbose error message
{
"error_code": "string",
"error_message": "string"
}
Internal Server Error
- application/json
- Schema
- Example (from schema)
Schema
Error code
A verbose error message
{
"error_code": "string",
"error_message": "string"
}